.card {
  padding: 10px 20px;
  margin-bottom: 20px;
  border: 1px solid $main-border-color;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.4);
  background: #fff;

  &__info {
    margin-bottom: 10px;
  }

  &__header {
    text-align: center;
    font-weight: bold;
    font-size: 20px;
    margin-bottom: 10px;
  }

  &.--basic {
    padding: 0;
    margin: 10px 0;
    box-shadow: none;
    border: none;

    .card__header {
      text-align: left;
      font-size: 16px;
    }
  }

  &.--table {
    border: none;
    box-shadow: none;
    background: initial;
    padding: 0;
    margin: 0;

    .card {
      &__header {
        display: flex;
        color: #fff;
        background: #727F97;
        padding: 20px;
        font-weight: bold;
        font-size: $main-font-size;
        margin-bottom: 0;
      }

      &__content {
        overflow: auto;
      }

      &__footer {
        margin-top: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;

        &.--right {
          justify-content: flex-end;
        }

        &::before, &::after {
          content: "";
          clear: both;
          display: table;
        }

        >.button {
          margin: 0 0 0 10px;
        }

        // >.button {
        //   position: absolute;
        //   right: 0;
        //   top: 0;
        //   display: flex;
        //   margin-bottom: 10px;

        //   &.--hide {
        //     display: none;
        //   }

        //   .ui.button:last-child {
        //     margin: 0;
        //   }
        // }
      }

      &__item {
        margin-right: 20px;

        &:last-child {
          margin-right: 0;
        }

        &.--ellipsis {
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
        }

        &.--right {
          margin-left: auto;
        }
      }
    }
  }
}